StarriseStarrise API
OverviewGuideAPI

Audio

OpenAI-compatible speech and transcription APIs.

EndpointMethodDescription
/v1/audio/transcriptionsPOSTSpeech-to-text
/v1/audio/translationsPOSTTranslate audio to English text
/v1/audio/speechPOSTText-to-speech

Transcription

curl https://api.starrise.ai/v1/audio/transcriptions \
  -H "Authorization: Bearer sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
  -F file=@audio.mp3 \
  -F model=whisper-1

Speech (TTS)

curl https://api.starrise.ai/v1/audio/speech \
  -H "Authorization: Bearer sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "tts-1",
    "input": "Hello from Starrise API.",
    "voice": "alloy"
  }' \
  --output speech.mp3
from openai import OpenAI

client = OpenAI(
    base_url="https://api.starrise.ai/v1",
    api_key="sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
)

with client.audio.speech.with_streaming_response.create(
    model="tts-1",
    voice="alloy",
    input="Hello from Starrise API.",
) as response:
    response.stream_to_file("speech.mp3")

Suno Music

For AI music generation, see Suno API.

On this page